Lavalite package that provides mz management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `ysn/mz`.

    "ysn/mz": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Ysn\Mz\Providers\MzServiceProvider::class,

And also add it to alias

    'Mz'  => Ysn\Mz\Facades\Mz::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Ysn\\MzTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Ysn\Mz\Providers\MzServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Ysn\Mz\Providers\MzServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Ysn\Mz\Providers\MzServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/mz/{modulename}

**User**

    http://path-to-route-folder/user/mz/{modulename}

**Public**

    http://path-to-route-folder/mzs


### API endpoints

**List**

    http://path-to-route-folder/api/user/mz/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/mz/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/mz/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/mz/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/mz/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/mz/{modulename}/{slug}
    METHOD: GET